package com.ruoyi.web.v2.v1.controller;


import com.fasterxml.jackson.core.JsonProcessingException;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.web.v2.v1.entity.JsEnvCheckProject;
import com.ruoyi.web.v2.v1.service.IJsEnvCheckProjectService;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.Map;

import static com.ruoyi.common.core.domain.AjaxResult.success;

/**
 * <p>
 * 2.0检验项目管理 前端控制器
 * </p>
 *
 * @author author
 * @since 2025-11-14
 */
@RestController
@RequestMapping("/js-env-check-project")
public class JsEnvCheckProjectController {

    @Autowired
    private IJsEnvCheckProjectService envCheckProjectService;

    @ApiOperation("检验项目管理添加")
    @PostMapping("/add")
    public AjaxResult add(@RequestBody JsEnvCheckProject checkProject) throws JsonProcessingException {
        return envCheckProjectService.add(checkProject);
    }

    @ApiOperation("检验项目管理修改")
    @PostMapping("/edit")
    public AjaxResult edit(@RequestBody JsEnvCheckProject checkProject) throws JsonProcessingException {
        return envCheckProjectService.edit(checkProject);
    }

    @ApiOperation("检验项目管理删除")
    @PostMapping("/delete")
    public AjaxResult delete(@RequestBody Map<String, String> paramsMap) {
        String ids = paramsMap.get("ids");
        return envCheckProjectService.delete(ids);
    }

    @ApiOperation("检验项目管理列表")
    @PostMapping("/list")
    public AjaxResult listAll(){
        return envCheckProjectService.listAll();
    }

    @ApiOperation("检验项目管理分页")
    @GetMapping("/page")
    public AjaxResult page(@RequestParam("pageNum") Integer pageNum, @RequestParam("pageSize") Integer pageSize
            , @RequestParam(value = "projectName", required = false) String projectName) {
        return envCheckProjectService.page(pageNum, pageSize, projectName);
    }

    @ApiOperation("检验项目管理详情")
    @PostMapping("/listById")
    public AjaxResult listById(@RequestBody Map<String, String> paramsMap){
        String id = paramsMap.get("id");
        return success(envCheckProjectService.getById(id));
    }
}
